price-history: Coin price history

API: coinranking.com:coinranking
Endpoint: /coin/{uuid}/price-history
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 211ms

Description

Returns historical price data for a specific coin at regular intervals. Use this for price charts and historical analysis.

From spec: Get historical price data for a coin. Returns timestamped price points for charting.

Usage Tips

- Valid timePeriod values: 1h, 3h, 12h, 24h, 7d, 30d, 3m, 1y, 5y - Returns timestamped price points - Each point represents a 5-minute interval for shorter periods - Data points are evenly distributed across the requested time period

Parameters (3)

referenceCurrencyUuid (string, query, optional)
timePeriod (string, query, optional, default: 24h)

Time period for price history. Free tier limited to max 1y.

Constraints: {'enum': ['1h', '3h', '12h', '24h', '7d', '30d', '3m', '1y', '3y', '5y', 'all']}

uuid (string, path, required)

UUID of the coin

Examples (1)

Get Bitcoin 24-hour price history probe-gate

Demonstrates fetching historical price data for charting Bitcoin's 24-hour price movement

curl 'https://api.coinranking.com/v2/coin/Qwsogvtv82FCd/price-history?timePeriod=24h'
import requests

resp = requests.get(
    "https://api.coinranking.com/v2/coin/Qwsogvtv82FCd/price-history",
    params={
        'timePeriod': '24h',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("coinranking")
result = api.fetch("coin/{uuid}/price-history", timePeriod="24h")

for item in result:
    print(item)
const resp = await fetch("https://api.coinranking.com/v2/coin/Qwsogvtv82FCd/price-history?timePeriod=24h");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:49:43.241913 200 211ms
2026-04-15 04:01:42.496404 200 160ms
2026-04-14 02:27:13.161287 200 224ms
2026-04-12 13:20:31.448280 200 205ms
2026-04-10 02:55:46.956743 200 136ms
2026-04-09 02:36:36.041833 200 164ms
2026-04-08 00:27:45.478171 200 214ms
2026-04-07 01:11:32.538011 200 169ms
2026-04-06 00:33:06.041102 200 978ms
2026-04-05 00:49:57.728660 200 237ms